import Taro, { Component } from '@tarojs/taro';
import { AtTabs, AtTabsPane } from 'taro-ui'
import "taro-ui/dist/style/components/tabs.scss"
import { savePoint, updatePoint } from '@services/common'
import { connect } from '@tarojs/redux'
import './index.scss'
import ActivityItem from './item'
import { getActNewList } from '@services/activity'

@connect(({ user, city }) => ({ user, city }))
export default class myCustomer extends Taro.Component {

  config = {
    navigationBarTitleText: '我的客户'
  }

  state = {
    current: 0,
    recordId: undefined, // 埋点ID
    list: []
  }

  componentWillUnmount() {
    const { recordId } = this.state
    recordId && updatePoint(recordId)
  }

  handleClick(value) {
    this.setState({
      current: value
    }, )
  }

  componentDidShow() {

    this.loadList()
  }
  loadList() {
    getActNewList().then(res => {
      this.setState({
        list: res.records || []
      })
    })
  }
  handleItemClick(item) {
    switch (item.type) {
      case 'help':
        Taro.navigateTo({
          url: '/pages/activity/detail/assistance?id=' + item.id
        })
        return
      case 'group':
        Taro.navigateTo({
          url: '/pages/activity/detail/assemble?id=' + item.id
        })
        return
      default:
        Taro.navigateTo({
          url: '/pages/activity/detail/index?id=' + item.id
        })
        return
    }
  }

  render() {

    const tabList = [{ title: '基本信息' }, { title: '访问记录' }, { title: '活动信息' }, { title: '跟进记录' }]
    const { list } = this.state
    return (
      <View>
        <View className="user_con">
          <Image className="bg" src={require('@assets/shop/background.jpg')} ></Image>
          <Image className="user__left__headimg" src={require('@assets/default-avatar.png')} />
          <View className='user__left__name'>客户姓名</View>
          <View className='user__left__phone'>175 1562 8701</View>
        </View>
        <AtTabs className="my-tab" current={this.state.current} tabList={tabList} onClick={this.handleClick.bind(this)}>
          <AtTabsPane current={this.state.current} index={0} >
            <View className="tab-pane1 pane">
              <View className="status">到访</View>
              <View className="base-item">意向项目：<View className="con">银城悦见山</View></View>
              <View className="base-item">物业类型：<View className="con">自住</View></View>
              <View className="base-item">项目类型：<View className="con">高层</View></View>
              <View className="base-item">价格区间：<View className="con">{desc || '暂无'}</View></View>
              <View className="base-item">客户描述：<View className="con">{desc || '暂无'}</View></View>
              <View className="btn">完善信息</View>
            </View>
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={1}>
            <View className="tab-pane2 pane">
              <View className="date">2019年11月11日</View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>
              <View className="date">2019年11月11日</View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>
              <View className="record-item"><View >查看项目详情：银城悦见山</View><View className="time">12:30:00</View> </View>

            </View>
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={2}>
            <View className="tab-pane3 pane">
              {list.length > 0 &&
                list.map(item => (
                  <ActivityItem
                    data={item}
                    key={item.id}
                    onClick={this.handleItemClick}>
                  </ActivityItem>
                ))
              }
            </View>
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={3}>
            <View  style="padding:10px 20px 120px 20px">
              <View style=" display: flex;justify-content: space-between;align-items: center;color: #333;font-size: 16px;">
                <View style=" display: flex;align-items: center;"><View style="width:8px;height:8px;margin-right:10px;display:inline-block;background:rgba(246,182,29,1);border-radius: 50%;"></View>编辑客户信息</View>
                <View classNam="time" style=" font-size: 13px;color: #999;">2019年11月11日 12:24:59</View>
              </View>
              <View className="btn">添加跟进</View>
            </View>
          </AtTabsPane>
        </AtTabs>
      </View>
    )
  }
}